> For the complete documentation index, see [llms.txt](https://docs.altum.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.altum.ai/english/sustainability/sustainability-api-v2-apartments-delta/example-api-calls.md).

# Example API calls

### Simple call

{% hint style="info" %}
*<mark style="color:red;">**Specifying the position and the floors of the apartment is recommended for optimal results.**</mark>*
{% endhint %}

```html
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1
}
```

### Adding building parameters

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1,
  "back_facade": true,
  "build_year" : 1961,
  "inner_surface_area": 90
}
```

### Adding current measures

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1,
  "back_facade": true,
  "build_year" : 1961,
  "inner_surface_area": 90,
  "wall_insulation": 1,
  "floor_insulation": 1,
  "roof_insulation": 1,
  "living_room_windows": 1,
  "shower": 1,
  "cooling": 1,
  "electric_cooking": 1,
  "ventilation": 1,
  "installation": 4
}
```

{% hint style="info" %} <mark style="color:red;">**If no target measures are applied, the target situation is the same as the current situation!**</mark>&#x20;

<mark style="color:red;">**e.g.**</mark> `"target_wall_insulation" = "wall_insulation"`
{% endhint %}

### Adding target measures

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1,
  "back_facade": true,
  "build_year" : 1961,
  "inner_surface_area": 90,
  "wall_insulation": 1,
  "floor_insulation": 1,
  "roof_insulation": 1,
  "living_room_windows": 1,
  "shower": 1,
  "cooling": 1,
  "electric_cooking": 1,
  "ventilation": 1,
  "installation": 4,
  "target_wall_insulation": 3,
  "target_floor_insulation": 3,
  "target_roof_insulation": 3,
  "target_living_room_windows": 4,
  "target_shower": 2,
  "target_cooling": 2,
  "target_electric_cooking": 2,
  "target_ventilation": 1,
  "target_installation": 4
}
```

### Adding solar panels

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "solar_panels": [{"pv_total_watt_peak":2000,
                    "target_pv_total_watt_peak":2500,
                    "angle":45,
                    "orientation":180
                    },
                    {"pv_area": 20,     
                    "target_pv_area": 20,
                    "specific_watt_peak": 150,
                    "target_specific_watt_peak": 200,
                    "angle":45,
                    "orientation":180
                    }]        
}
```

### Adding usage data

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1,
  "back_facade": true,
  "heat_usage": 25,
  "electricity_usage": 4500,
  "gas_usage": 750
}
```

### Adding more features

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1,
  "back_facade": true,
  "inhabitants":4,
  "electricity_generation": 100,
  "exclude_vat":false,
  "fetch_definitive_label": 1,
  "cost_indicators":{"fixed_gas_price":100},
  "wall_filters": {"biobased": true, "cavity": true, "material":[4]},
  "roof_filters": {"biobased": false, "insulation_side": 2, "replace_roof": true, "material":[1]},
  "floor_filters": {"floor_type": 1, "crawl_space": true, "material":[2]}
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altum.ai/english/sustainability/sustainability-api-v2-apartments-delta/example-api-calls.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
